[Setup]
Caption=Printer Driver Setup
Install=Install(&I)
Back=<Back(&B)
Next=Next(&N)>
Cancel=Cancel(&C)
Finish=Finish(&F)
InstallNext=Install Next(&I)
SelectAll=Select All(&S)
Uninstall=Uninstall(&U)
Exit=Exit(&E)
Help=Help(&F1)
MinimizeBtn=Minimize

IntroduceCaption=Welcome
IDC_INTRODUCESTATIC=This wizard will help you install the printer driver.\1If you want to install a usb printer, connect the printer to the computer and use Windows to find the hardware wizard.
IDC_STEPSTATIC=Click Next > to install the program.
IDC_VERSIONSTATIC=Version: 2.3.0\1Copyright (C) 2019-2022 HB\2Retained ownership.

FuncSelectCaption=Install/Uninstall
IDC_STATIC_INFO=Installation options
IDC_STATIC_INFO2=  ---Please choose Install/Uninstall option
IDC_STATIC_SETUP=Install Printer---Install a or multiple printer to the system
IDC_STATIC_UNINSTALL=Uninstall Printer Driver---Uninstall a printer and printer driver in system

LicenseCaption=Legal Agreement
IDC_ACCEPTRADIO=I Accept
IDC_REJECTRADIO=I Reject

PrinterCaption=Select Printer
IDC_PRINTERLIST=I'm going to set this printer to Windows default printer
IDC_STATIC_PRINTERINFO=Select printer
IDC_STATIC_PRINTERINFO2=  ---Please select the printer you want to install

PortCaption=Select Port
IDC_ADDPORTBUTTON=Add Port
IDC_CONFIGPORTBUTTON=Config Port
IDC_STATIC_USBINFOREMINDER=Select port
IDC_STATIC_USBINFOREMINDER2=  ---Please select the port to connect to the printer
IDC_PORTLIST_PORTNAME=PortName
IDC_PORTLIST_PORTTYPE=Type
PortOccupyWarn=The port has been occupied, and selecting the port may cause the printer to work. Are you sure you want to continue?
GetPortInfo=The port does not exist and fails
LargePrinterWarn=Please connect only one usb device in the installation process

PortConfigCaption=Port Config
IDOK=OK
IDCANCEL=Cancel
IDC_RADIOSERIAL=Serial
IDC_RADIONET=NET
IDC_PORTTYPE=Port Type
IDC_STATIC_BAUDRATE=Baud Rate:
IDC_STATIC_DATABIT=Byte Size:
IDC_STATIC_STOPBIT=Stop Bits:
IDC_STATIC_PARITY=Parity:
IDC_STATIC_FLOW=Protocol:
IDC_STATIC_NETNAME=PortName:
IDC_STATIC_IP=IP Address:

ParamConfigCaption=Param Config
InitDevmodeFailed=The initialization devmode fails, unable to configure the parameters
Param_Paper=Form
Param_FormName=Form Name
Param_FormName_Info=FormName
Param_FormHeight=Form Height
Param_FormHeight_Info=Form Height(0.1mm)
Param_FormWidth=Form Width
Param_FormWidth_Info=Form Width(0.1mm)
Param_LeftMargin=Left
Param_LeftMargin_Info=Left non-print area(0.1mm)
Param_RightMargin=Right
Param_RightMargin_Info=Right non-print area(0.1mm)
Param_TopMargin=Top
Param_TopMargin_Info=Top non-print area(0.1mm)
Param_BottomMargin=Bottom
Param_BottomMargin_Info=Bottom non-print area(0.1mm)
Param_Advance=Advance
Param_PaperOutMode=Paper Out Mode
Param_PaperOutMode_Info=Paper Out Mode
PaperOutMode_BPLZ_1=Tear Off
PaperOutMode_BPLZ_2=Peel Off
PaperOutMode_BPLZ_3=Rewind
PaperOutMode_BPLZ_4=Applicator
PaperOutMode_BPLZ_5=Cutter
PaperOutMode_BPLZ_6=Delayed Cutter
PaperOutMode_BPLZ_7=RFID
PaperOutMode_BPLZ_9=KIOSK
PaperOutMode_BPLZ_0=Default
PaperOutMode_BPLA_1=Cutter
PaperOutMode_BPLA_2=Tear Off
PaperOutMode_BPLA_3=Peel Off
PaperOutMode_BPLA_4=Rewind
PaperOutMode_BPLA_5=Tear Off(unconfirmed)
PaperOutMode_BPLA_6=Peel Off(unconfirmed)
Param_MediaType=Print Type
Param_MediaType_Info=Print Type
MediaType_ThermalTransfer=Thermal Transfer
MediaType_ThermalDirect=Thermal Direct
MediaType_Default=Default
Param_PaperType=Paper Type
Param_PaperType_Info=Paper Type
PaperType_Continuous=Continuous
PaperType_MarkSensing=Mark Sensing
PaperType_WebSensing=Web Sensing
PaperType_Default=Default
IDS_ERR_FormExist=The Form is already exist, please edit it
IDS_ERR_FormNameLen18=Paper names longer than 18
IDS_ERR_FormNameLen31=Paper names longer than 31

[Help Guide]
Caption = Printer Driver Installer
Name=Guide.chm
IDS_ERR_NOTFINDCHM=The Chm file was not found!

[Confirm]
Parity.Even=Even
Parity.Mark=Mark
Parity.None=None
Parity.Odd=Odd
Parity.Space=Space
Protocol.None=None
Protocol.Xonoff=Xon/Xoff
Protocol.Hardware=Hardware

[Progress]
Wait=Installing Printer,Please Wait......
UpdateMonitor=Updating Monitor,Please Wait......
StartSpooler=Starting Spooler,Please Wait......

[Message]
IDS_ABOUTBOX=&About Printer Driver Setup...
IDS_ADMIN=You must be logged on the computer as an administrator!
IDS_ERR_GETSYSDIR=Cannot get system directory.
IDS_ERR_TOOMANY=Maximum count of printers using the same port has been reached.\1Please uninstall the existing driver and reinstall the new driver.
IDS_ERR_ALLOCMEMORY=Printer installer could not allocate sufficient memory.
IDS_ERR_GETDRIVERDIR=Cannot get printer driver directory.
IDS_ERR_GETPRODIR=Cannot get printer processor directory.
IDS_ERR_DIRTYPE=Direcory type error.
IDS_ERR_ADDPRINTER=Add printer error.
IDS_ERR_ADDPRNDRV3=Add printer driver error.
IDS_ERR_ADDMONITOR=Add monitor error!
IDS_ERR_COPYFIEL=Copy driver files error,files name: 
IDS_ERR_COPYFIEL1=Please check the integrity of the installation package!
IDS_ERR_GETWINDIR=Cannot get windows directory.
IDS_INF_NTRESTART=Successfully installed printer driver.
IDS_INF_USBRESTART=Successfully installed printer driver.\1Please repower the printer.
IDS_INF_CLASSUSBRESTART=Successfully installed printer driver.\1 \2Windows maybe detail the digital signature. If this message appeared, please select "Install this driver software anyway".
IDS_ERR_LOSTDRIVERFILE=Lost of driver files, can't continue.
IDS_INF_CHANGEID=This application will change printer name. \1the name will be matching with interface name.\2If continue, click on "Yes".\3Otherwise click on "No".
IDS_ERR_IPADDRISNULL=IP address is null.
IDS_ERR_PORTNAMENULL=PortName is null.
IDS_ERR_PORTNAMELEN=The port name is too long.
IDS_ERR_ADDPORTERROR=Add standard tcp/ip port error.
IDS_ERR_UpdatePortParamFail=Update Failed
IDS_ERR_PORTNAMEEXIST=The port already exists, please enter again!

IDS_ERR_SILENTSETUPNOFILE=Not find PrinterConfig.ini.
IDS_ERR_SILENTSETUPNOPORT=Unknown port type.
IDS_ERR_SILENTSETUPNAMEERR=Unknown printer name.
IDS_ERR_SILENTSETUPCOMPortNameERR=Unknown PortName in PortSetting.COM.
IDS_ERR_SILENTSETUPCOMBitERR=Unknown BitsPerSecond in PortSetting.COM.
IDS_ERR_SILENTSETUPCOMDATAERR=Unknown DataBits in PortSetting.COM.
IDS_ERR_SILENTSETUPCOMSTOPERR=Unknown StopBits in PortSetting.COM.
IDS_ERR_SILENTSETUPCOMPARITYERR=Unknown Parity in PortSetting.COM.
IDS_ERR_SILENTSETUPCOMFLOWERR=Unknown FlowControl in PortSetting.COM.
IDS_ERR_SILENTSETUPLPTERR=Unknown PortName in PortSetting.LPT.
IDS_ERR_SILENTSETUPNETPORTERR=Unknown PortName in PortSetting.NET
IDS_ERR_SILENTSETUPNETIPERR=Unknown IPaddress in PortSetting.NET.
IDS_ERR_SILENTSETUPUSBPORTERR=Unknown PortName in PortSetting.USB.
IDS_ERR_SILENTSETUPUSBIDERR=Unknown USB ID for port.
IDS_ERR_HARDWAREIDNULL=Get hardwareid error.
IDS_ERR_CLASSPRINTERIDERROR=The printer and the driver does not match.
IDS_ERR_LOGLOADFAILED=Load Log DLL Failed.
IDS_ERR_PROGRAMRUN=Program running!
IDS_ERR_FINDSYSFILE=Couldn't find system files.
IDS_ERR_CLOSEHANDLE=Couldn't close search handle.
IDS_ERR_SPOOLERFAILED=Start Spooler failed.

[Uninstall]
UninstallCaption=Uninstall
IDC_USBDDEVICEDRV=Uninstall USB device driver(not recommended)
DeviceName=Printer and Components
Note=Please select the printers to be uninstalled.You can specify multiple printers to uninstall.

[UninstallReboot]
Title=Restart Computer
Note1=Restart Computer so that the changes can take effect.
Note2=Click on "Yes" to restart immediately.
Note3=Click on "No" to restart later.
Yes=Yes(&Y)
No=No(&N)

[UninstallMessage]
IDS_SELECTPRN1=Please select the printers you want to uninstall.
IDS_DELETING1=Deleting %s,please wait...
IDS_USING=%s is using,can't be deleted.
IDS_ERR_UNINSTALL=Uninstall %s error.
IDS_SUCCESS=%s has been deleted.
IDS_ERR_OPENPRN=Open %s printer error.
IDS_DELETING2=Deleting printer %s,please wait...
IDS_ERR_GETPRNINFO=Get printer info error
IDS_ERR_ALLOC=Allocate memory error
IDS_ERR_HAVEJOB1=%s can't be deleted,please delete jobs in printer first.
IDS_ERR_DELPRINTER=Delete printer error.
IDS_ERR_DRVUSING=The driver is using,can't be deleted.
IDS_DRV_SUCCESS=The printer driver has been deleted.
IDS_ERR_DRVDEL=Delete printer driver error.
IDS_DRVDELETING=Deleting %s's driver,please wait...
IDS_ERR_HAVEJOB2=Please delete jobs in printer %s first.
IDS_DRV_SUCCESS1=USB device driver has been deleted.
IDS_DELETING3=Deleting USB device driver,please wait...
IDS_DRV_FAILED1=Uninstall USB device driver error.

[SilentMessage]
IDS_GETPRNNAMEERR=Failed to get printer name from PrinterConfig.ini.
IDS_GETMOREPRN=Please connect one printer during installation!
IDS_GETPORTTYPEERR=Failed to get port type  from PrinterConfig.ini!
IDS_GETPORTINFOERR=Failed to get port information from PrinterConfig.ini!
IDS_NOTFINDPRN=Failed to find USB interface printer!
IDS_CLASSMODEPRN=CLASSE USB interface printer is connected, and mismatch with the port in printerconfig.ini, please update the port type and port information of the PrinterConfig.ini!
IDS_APIMODEPRN=API USB interface printer mode mismatch,please update the port type and port information of the PrinterConfig.ini!
IDS_NETPORTERR=Failed to add net port!
IDS_USBPRNMISMATCH=CLASSE USB interface printer name is not matched with the driver of the installation, please update the printer name of printerconfig.ini!
IDS_COMMONERR=Failed to add com monitor！
IDS_GETCLASSMODEIDERR=Get USB Class Mode ID failed!
IDS_INSTALLFAIL=Failed to installation!
IDS_INSTALLSUCC=Installation successfully!
